Package org.apache.aries.transaction

## Class TransactionToken

- java.lang.Object
- - org.apache.aries.transaction.TransactionToken

    public class TransactionToken
    extends java.lang.Object

### Constructor Summary

Constructors
`TransactionToken​(javax.transaction.Transaction activeTransaction, javax.transaction.Transaction suspendedTransaction, TransactionAttribute transactionAttribute)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.transaction.Transaction` `getActiveTransaction()`
`org.osgi.service.coordinator.Coordination` `getCoordination()`
`javax.transaction.Transaction` `getSuspendedTransaction()`
`TransactionAttribute` `getTransactionAttribute()`
`boolean` `isCompletionAllowed()`
`boolean` `requiresNewCoordination()`
`void` `setCoordination​(org.osgi.service.coordinator.Coordination coordination)`
`void` `setSuspendedTransaction​(javax.transaction.Transaction suspendedTransaction)`
`void` `setTransactionStrategy​(TransactionAttribute transactionAttribute)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransactionToken

    public TransactionToken​(javax.transaction.Transaction activeTransaction,
                            javax.transaction.Transaction suspendedTransaction,
                            TransactionAttribute transactionAttribute)

### Method Detail

#### getActiveTransaction

    public javax.transaction.Transaction getActiveTransaction()

#### getSuspendedTransaction

    public javax.transaction.Transaction getSuspendedTransaction()

#### setSuspendedTransaction

    public void setSuspendedTransaction​(javax.transaction.Transaction suspendedTransaction)

#### getTransactionAttribute

    public TransactionAttribute getTransactionAttribute()

#### setTransactionStrategy

    public void setTransactionStrategy​(TransactionAttribute transactionAttribute)

#### isCompletionAllowed

    public boolean isCompletionAllowed()

#### requiresNewCoordination

    public boolean requiresNewCoordination()

#### getCoordination

    public org.osgi.service.coordinator.Coordination getCoordination()

#### setCoordination

    public void setCoordination​(org.osgi.service.coordinator.Coordination coordination)